Bug 565313 - Review Request: arm-none-eabi-binutils - Cross Compiling GNU binutils targeted at arm-none-eabi
Review Request: arm-none-eabi-binutils - Cross Compiling GNU binutils targete...
Status: CLOSED DUPLICATE of bug 639661
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-14 12:54 EST by Eric Smith
Modified: 2010-10-02 23:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-02 23:58:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Smith 2010-02-14 12:54:38 EST
Spec URL: http://fedorapeople.org/~brouhaha/arm/arm-none-eabi-binutils.spec
SRPM URL: http://fedorapeople.org/~brouhaha/arm/arm-none-eabi-binutils-2.20-1.fc12.src.rpm
Koji scratch build for Fedora 12: http://koji.fedoraproject.org/koji/taskinfo?taskID=1985797

Description:
This is a Cross Compiling version of GNU binutils, which can be used to
assemble and link binaries for the arm-none-eabi platform, instead of for the
native %{_arch} platform.
Comment 1 Peter Lemenkov 2010-02-15 03:41:19 EST
What exact ARM sub-architecture this package is designed for? Fedora-ARM is targeted on armv5tel.
Comment 2 Eric Smith 2010-02-15 03:51:46 EST
This is intended for embedded development targeting "bare metal", e.g., microcontrollers, which is why it is "arm-none-eabi" rather than "arm-something-linux".  It also should be usable for systems running non-Linux operating systems that are EABI compliant, provided that the user obtains the appropriate headers and libraries.

The description in the SPEC doesn't say this because I kept the generic description from the avr-binutils and arm-gp2x-linux binutils, but perhaps it is justifiable to add a paragraph explaining that it is for embedded/bare metal use.

I'm working on packaging gcc, gdb, and newlib, but binutils will need to be in the package collection before I can submit them for review. (Otherwise they would fail to build due to the binutils dependency.)
Comment 3 Eric Smith 2010-02-15 03:57:01 EST
I should further add that I intend this to be useful with arm7tdmi and cortex-m3 microcontrollers, although I think it should also work for other ARM architectures supported by binutils.
Comment 4 Peter Lemenkov 2010-02-15 04:46:19 EST
(In reply to comment #3)
> I should further add that I intend this to be useful with arm7tdmi and
> cortex-m3 microcontrollers, although I think it should also work for other ARM
> architectures supported by binutils.    

So, it's something like "i386" for x86 and fully compatible with armv4/armv5 and so on?
Comment 5 Eric Smith 2010-02-15 14:48:46 EST
Yes, the tools accept arguments like -mthumb, -mcpu=arm7tdmi, -mcpu=cortex-m3, etc.  I'm testing them by building software for an Atmel AT91SAM7L128 (arm7tdmi) and an Energy Micro EFM32G290 (cortex-m3).
Comment 6 Chris Shucksmith 2010-03-02 17:34:33 EST
I have very similar SEPC files for arm-elf-binutils, arm-elf-gcc, arm-elf-gdb packages I use for cortex-m3 microprocessors [1]. I have signed up to FAS in order to submit them [2], but it looks like you are working on it.

[1] http://www.shucksmith.co.uk/blog/olimexstm32-h103olimexjtagusbminifedoralinux11-programflash
[2] http://lists.fedoraproject.org/pipermail/electronic-lab/2010-March/000827.html
Comment 7 Eric Smith 2010-10-02 23:58:23 EDT
Closing this bug request, as I am switching to using the CodeSourcery release of Binutils, which has better ARM support than the FSF release.  CodeSourcery contributes their improvements to the FSF, but they take a long time to make it into official FSF releases.

*** This bug has been marked as a duplicate of bug 639661 ***

Note You need to log in before you can comment on or make changes to this bug.